> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aihubmax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Wan2.7 Video Edit

> - Wan 2.7 video editing model, supporting style transfer and reference-image editing on existing videos
- Supports automatic or original audio preservation strategies
- Async processing mode, use the returned task ID to [query task status](/pages/en/api-manual/task-management/get-task-detail)
- Generated video links are valid for 24 hours, please save them promptly




## OpenAPI

````yaml openapi/en/wan-2.7-video-edit.json POST /v1/videos/generations
openapi: 3.1.0
info:
  title: Wan 2.7 Video Edit
  version: '1.0'
servers:
  - url: https://api.aihubmax.com
security:
  - BearerAuth: []
paths:
  /v1/videos/generations:
    post:
      tags:
        - Video > Wan2.7
      summary: Wan 2.7 Video Edit
      description: >
        - Wan 2.7 video editing model, supporting style transfer and
        reference-image editing on existing videos

        - Supports automatic or original audio preservation strategies

        - Async processing mode, use the returned task ID to [query task
        status](/pages/en/api-manual/task-management/get-task-detail)

        - Generated video links are valid for 24 hours, please save them
        promptly
      operationId: wan-2.7-video-edit
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WanV27VideoEditRequest'
            examples:
              basic_video_edit:
                summary: Basic video edit
                value:
                  model: wan-2.7-video-edit
                  video_url: https://example.com/input.mp4
                  prompt: Turn the scene into a rainy cyberpunk street at night
                  resolution: 1080p
              reference_image_edit_and_preserve_original_audio:
                summary: Reference-image edit and preserve original audio
                value:
                  model: wan-2.7-video-edit
                  video_url: https://example.com/input.mp4
                  reference_image_url: https://example.com/style.jpg
                  prompt: >-
                    Match the color palette and costume design of the reference
                    image
                  duration: 6
                  audio_setting: origin
                  aspect_ratio: '16:9'
      responses:
        '200':
          $ref: '#/components/responses/TaskCreated'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '402':
          $ref: '#/components/responses/PaymentRequired'
        '422':
          $ref: '#/components/responses/UnprocessableEntity'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
components:
  schemas:
    WanV27VideoEditRequest:
      type: object
      required:
        - model
        - video_url
        - prompt
      properties:
        model:
          description: '`wan-2.7-video-edit`: Video Edit'
          examples:
            - wan-2.7-video-edit
          type: string
          default: wan-2.7-video-edit
        video_url:
          description: |
            Public URL of the video to be edited

            **Notes:**
            - Supports MP4 / MOV
            - Input video duration must be within `2-10` seconds
            - Maximum file size `100MB`
          type: string
          example: https://example.com/input.mp4
        prompt:
          description: Edit instruction or style transfer description
          type: string
          example: Turn the scene into a rainy cyberpunk street at night
        reference_image_url:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: >-
            Optional reference image URL for reference-image-driven video
            editing
          example: https://example.com/style.jpg
        audio_setting:
          default: auto
          description: >-
            Audio processing strategy


            **Options:**

            - `auto` — Model automatically decides whether to regenerate audio

            - `origin` — Preserve the original audio from the input video as
            much as possible



            > Do not pass this parameter unless necessary.
          enum:
            - auto
            - origin
          type: string
          x-advanced: true
          example: auto
        duration:
          default: 0
          description: >
            Output video duration in seconds


            **Notes:**

            - `0` means follow the input video duration

            - When set to `2-10`, the corresponding duration is taken from the
            start of the input video
          maximum: 10
          minimum: 0
          type: integer
          example: 0
        resolution:
          default: 1080p
          description: |
            Output video resolution

            **Options:** `720p`, `1080p`
          enum:
            - 720p
            - 1080p
          type: string
          example: 720p
        aspect_ratio:
          anyOf:
            - enum:
                - '16:9'
                - '9:16'
                - '1:1'
                - '4:3'
                - '3:4'
              type: string
            - type: 'null'
          default: null
          description: |
            Output video aspect ratio

            **Notes:**
            - Uses the input video aspect ratio when not specified
            - **Options:** `16:9`, `9:16`, `1:1`, `4:3`, `3:4`
          example: '16:9'
        seed:
          anyOf:
            - maximum: 2147483647
              minimum: 0
              type: integer
            - type: 'null'
          default: null
          description: Random seed for reproducibility
          example: 123
        enable_safety_checker:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          description: >-
            Whether to enable safety checker. Uses model default if not
            specified


            > Do not pass this parameter unless necessary.
          x-advanced: true
          example: true
    TaskResponse:
      type: object
      properties:
        created:
          type: integer
          description: Task creation timestamp
          example: 1757165031
        id:
          type: string
          description: Task ID
          example: task-unified-1757165031-uyujaw3d
        model:
          type: string
          description: Actual model name used
        object:
          type: string
          description: Specific task type
          enum:
            - video.generation.task
        progress:
          type: integer
          description: Task progress percentage (0-100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: Task status
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          type: object
          description: Asynchronous task information
          properties:
            can_cancel:
              type: boolean
              description: Whether the task can be cancelled
              example: true
            estimated_time:
              type: integer
              description: Estimated completion time in seconds
              example: 45
        type:
          type: string
          description: Task output type
          enum:
            - video
          example: video
    ErrorResponse400:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Invalid request format
            type:
              type: string
              example: invalid_request_error
    ErrorResponse401:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Invalid API key
            type:
              type: string
              example: authentication_error
    ErrorResponse402:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Insufficient account balance
            type:
              type: string
              example: insufficient_quota
    ErrorResponse422:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Parameter validation failed
            type:
              type: string
              example: validation_error
    ErrorResponse429:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Rate limit exceeded
            type:
              type: string
              example: rate_limit_error
    ErrorResponse500:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Internal server error
            type:
              type: string
              example: server_error
    ErrorResponse503:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Service temporarily unavailable, please try again later
            type:
              type: string
              example: service_unavailable
  responses:
    TaskCreated:
      description: Task created successfully
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TaskResponse'
    BadRequest:
      description: Invalid request format
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse400'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse401'
    PaymentRequired:
      description: Insufficient balance
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse402'
    UnprocessableEntity:
      description: Parameter validation failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse422'
    TooManyRequests:
      description: Rate limit exceeded
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse429'
    InternalServerError:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse500'
    ServiceUnavailable:
      description: Service Unavailable
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse503'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |
        ## All APIs require Bearer Token authentication ##

        Add to request header:

        `Authorization: Bearer YOUR_API_KEY`

````